/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.validate.number_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.validate.number_test'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.validate.number_test');
dojo.require('epages.validate.number');

epages.validate.number.test = function(/*epages.Test*/eTest) {
	eTest.setPlanned(18);

	eTest.ok(1, 'loaded');
	eTest.ok(epages.validate.number.isInteger('') !== true, '"" is no int');
	eTest.ok(epages.validate.number.isInteger(0) === true, '(number)0 is int');
	eTest.ok(epages.validate.number.isInteger(1.234) !== true, '(number)1.234 is int');
	eTest.ok(epages.validate.number.isInteger('0') === true, '0 is int');
	eTest.ok(epages.validate.number.isInteger('0') === true, '0 is int');
	eTest.ok(epages.validate.number.isInteger('1') === true, '1 is int');
	eTest.ok(epages.validate.number.isInteger('123456789') === true, '123456789 is int');
	eTest.ok(epages.validate.number.isInteger('-505123') === true, '-505123 is int');
	eTest.ok(epages.validate.number.isInteger('1.5') !== true, '1.5 is no int');
	eTest.ok(epages.validate.number.isInteger('-1.565656') !== true, '-1.565656 is no int');
	eTest.ok(epages.validate.number.isInteger('-0') !== true, '-0 is no int');
	eTest.ok(epages.validate.number.isInteger('abc') !== true, 'abc is no int');
  eTest.ok(epages.validate.number.isInteger('-505123', { min: 0 }) !== true, '-505123, min: 0');
	eTest.ok(epages.validate.number.isInteger('123456789', { max: 1000 }) !== true, '123456789, max: 1000');
	eTest.ok(epages.validate.number.isInteger('1000', { min: 1000, max: 1001 }) === true, '1000, min: 1000, max: 1001');
	eTest.ok(epages.validate.number.isInteger('999', { min: 1000, max: 1001 }) !== true, '999, min: 1000, max: 1001');
	eTest.ok(epages.validate.number.isInteger('1002', { min: 1000, max: 1001 }) !== true, '1002, min: 1000, max: 1001');
};

}
